From 3317b0b519512c11b858403b86d5d46e0cc440b3 Mon Sep 17 00:00:00 2001
From: Kristaps Kaupe <kristaps@blogiem.lv>
Date: Tue, 5 Mar 2024 03:00:34 +0200
Subject: [PATCH] Fix jm_single().bc_interface.get_deser_from_gettransaction
 call

https://github.com/JoinMarket-Org/joinmarket-clientserver/commit/fab97a003b800a22724dc9c6cc337d7de3200db9#r139364262
---
 src/jmclient/wallet_utils.py | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/src/jmclient/wallet_utils.py b/src/jmclient/wallet_utils.py
index b49bf1d716f22d2e17b900eff07da633ef8c4f7e..8472bec5fe6a33ab2d36d3bbf92fa0ee7248c1d9 100644
--- a/src/jmclient/wallet_utils.py
+++ b/src/jmclient/wallet_utils.py
@@ -906,8 +906,9 @@ def print_row(index, time, tx_type, amount, delta, balance, cj_n,
                 wallet_tx = jm_single().bc_interface.get_transaction(
                     ins.prevout.hash[::-1])
                 if wallet_tx:
-                    wallet_tx_deser = jm_single.bc_interface(
-                        ).get_deser_from_gettransaction(wallet_tx)
+                    wallet_tx_deser = jm_single(
+                        ).bc_interface.get_deser_from_gettransaction(
+                            wallet_tx)
                     tx_cache[ins.prevout.hash[::-1]] = (wallet_tx,
                                                         wallet_tx_deser)
                 else:
